package versao3.persistencia.impl.xml;

import versao3.persistencia.ClienteDAO;
import versao3.persistencia.DAOFactory;
import versao3.persistencia.PedidoDAO;

/**
 * Fábrica concreta de DAOs para XML.
 *
 * @see versao3.persistencia.DAOFactory
 */
public final class XMLDAOFactoryImpl extends DAOFactory {
  public ClienteDAO createClienteDAO() {
    return XMLClienteDAO.getInstance();
  }

  public PedidoDAO createPedidoDAO() {
    return XMLPedidoDAOImpl.getInstance();
  }

  /** @link dependency 
   * @label cria*/
  /*# XMLClienteDAO lnkXMLClienteDAO; */

  /** @link dependency 
   * @label cria*/
  /*# XMLPedidoDAOImpl lnkXMLPedidoDAOImpl; */
}
